Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.constructionheuristic.greedyFit
Class DefaultGreedyFitSolverPhase

    java.lang.Object
      org.optaplanner.core.impl.phase.AbstractSolverPhase
          org.optaplanner.core.impl.constructionheuristic.greedyFit.DefaultGreedyFitSolverPhase

All Implemented Interfaces:
  EventListener, ConstructionHeuristicSolverPhase, GreedyFitSolverPhase, SolverPhaseLifecycleListener, SolverPhase, SolverLifecycleListener

    public class DefaultGreedyFitSolverPhase

extends AbstractSolverPhase
implements GreedyFitSolverPhase, ConstructionHeuristicSolverPhase

Default implementation of `GreedyFitSolverPhase`.

Field Summary
`protected boolean` | `assertExpectedStepScore`
`protected boolean` | `assertStepScoreFromScratch`
`protected GreedyDecider` | `greedyDecider`
`protected GreedyPlanningEntitySelector` | `greedyPlanningEntitySelector`

Fields inherited from class org.optaplanner.core.impl.phase.AbstractSolverPhase
`bestSolutionRecaller, logger, phaseIndex, solverPhaseLifecycleSupport, termination`

Constructor Summary
`DefaultGreedyFitSolverPhase()`

Method Summary
`void` | `phaseEnded(GreedyFitSolverPhaseScope phaseScope)`
`void` | `phaseStarted(GreedyFitSolverPhaseScope phaseScope)`
`void` | `setAssertExpectedStepScore(boolean assertExpectedStepScore)`
`void` | `setAssertStepScoreFromScratch(boolean assertStepScoreFromScratch)`
`void` | `setGreedyDecider(GreedyDecider greedyDecider)`
`void` | `setGreedyPlanningEntitySelector(GreedyPlanningEntitySelector greedyPlanningEntitySelector)`
`void` | `solve(DefaultSolverScope solverScope)`
`void` | `solvingEnded(DefaultSolverScope solverScope)`
`void` | `solvingStarted(DefaultSolverScope solverScope)`
`void` | `stepEnded(GreedyFitStepScope stepScope)`
`void` | `stepStarted(GreedyFitStepScope stepScope)`

Methods inherited from class org.optaplanner.core.impl.phase.AbstractSolverPhase
`addSolverPhaseLifecycleListener, getPhaseIndex, getTermination, phaseEnded, phaseStarted, removeSolverPhaseLifecycleListener, setBestSolutionRecaller, setPhaseIndex, setTermination, stepEnded, stepStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.phase.SolverPhase
`addSolverPhaseLifecycleListener, removeSolverPhaseLifecycleListener`

Methods inherited from interface org.optaplanner.core.impl.phase.event.SolverPhaseLifecycleListener
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Field Detail

### greedyPlanningEntitySelector

    protected GreedyPlanningEntitySelector greedyPlanningEntitySelector

### greedyDecider

    protected GreedyDecider greedyDecider

### assertStepScoreFromScratch

    protected boolean assertStepScoreFromScratch

### assertExpectedStepScore

    protected boolean assertExpectedStepScore

Constructor Detail

### DefaultGreedyFitSolverPhase

    public DefaultGreedyFitSolverPhase()

Method Detail

### setGreedyPlanningEntitySelector

    public void setGreedyPlanningEntitySelector(GreedyPlanningEntitySelector greedyPlanningEntitySelector)

### setGreedyDecider

    public void setGreedyDecider(GreedyDecider greedyDecider)

### setAssertExpectedStepScore

    public void setAssertExpectedStepScore(boolean assertExpectedStepScore)

### setAssertStepScoreFromScratch

    public void setAssertStepScoreFromScratch(boolean assertStepScoreFromScratch)

### solve

    public void solve(DefaultSolverScope solverScope)

  Specified by:
    `solve` in interface `SolverPhase`

### solvingStarted

    public void solvingStarted(DefaultSolverScope solverScope)

  Specified by:
    `solvingStarted` in interface `SolverLifecycleListener`
  Overrides:
    `solvingStarted` in class `AbstractSolverPhase`

### phaseStarted

    public void phaseStarted(GreedyFitSolverPhaseScope phaseScope)

### stepStarted

    public void stepStarted(GreedyFitStepScope stepScope)

### stepEnded

    public void stepEnded(GreedyFitStepScope stepScope)

### phaseEnded

    public void phaseEnded(GreedyFitSolverPhaseScope phaseScope)

### solvingEnded

    public void solvingEnded(DefaultSolverScope solverScope)

  Specified by:
    `solvingEnded` in interface `SolverLifecycleListener`
  Overrides:
    `solvingEnded` in class `AbstractSolverPhase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.